Subject: RE: [idn] Tilde

From: "Kane, Pat" <[email-masked]>
Date: Wed, 11 Aug 2004 15:13:07 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, August 11, 2004 1:36 PM
> To: tedd
> Cc: IETF idn working group
> Subject: Re: [idn] Tilde
> 
> tedd wrote:
> > The result will be "~.com" (TILDE OPERATOR DOT COM).
> >
> > At the bottom of the page, please do a Whois Query for Domain. The
> > result will show that the domain name is currently registered with
> > TUCOWS and has been for several years.
> 
> I see. This is a testbed registration. If it is old enough, Verisign
> will support for some time. However, before the testbed goes into
> production, Verisign reserves the right to abandon registrations which
> don't match the policy. See
> 

VeriSign is currently publishing RFC compliant IDNs into the com and net
zones.  The only registrations that were not migrated from the RACE and Name
Prep 03 versions were those that were not compliant with those RFCs. "~.com"
(TILDE OPERATOR DOT COM)is compliant.

> http://www.verisign.com/products-services/naming-and-directory-
> services/naming-services/internationalized-domain-names/idn-standards/idn-
> character-variants/page_001485.html
> 
> for the phases they plan to implement. In phase III, applicants
> will have to specify a language tag. If the label then does not
> match the characters allowed, the registration will be denied.

VeriSign began requiring language tags in December of 2003 which began Phase
III.  Phase III also calls for deployment of IDNs into the com and net zones
and no longer publish them to a third-level zone.

> 
> > Considering all, are you saying that this domain name will never be
> > allowed to be used (as you say, "in production use") like current
> > "standard" domains?
> 
> Correct - atleast not at one-under-toplevel. Local administrators
> may, of course, establish other policies for assigning host names
> and subdomains.

> 
> > As such, the individual who registered and paid for
> > this domain name, and is still paying renewals, will never to be allowed
> > to use it?
> 
> I believe at some point, renewal will not be possible. See the
> description of phase III.
> 

Renewal for any of the domains in the com and net base is possible.

> > That's my desire -- but I'm not as involved as you, and your peers, in
> > the IDNS process and it's hard for me to figure out what's relevant and
> > what's not. For example, Versign reported that they notified registrars
> > who have invalid IDN registrations on April 9, 2003. As such, if the
> > above noted domain was invalid, as you claim, then shouldn't the
> > registered owner have been notified of such by now?
> 
> I believe (without factually knowing) that there are two levels of
> "incorrectness". One is failure to follow nameprep procedures, by
> using characters that are forbidden in nameprep, or by not using the
> proper normal form. I believe such registration have been eliminated
> by now. A registration for TILDE OPERATOR is allowed, according to
> nameprep, so it wasn't eliminated.
> 
> I believe that such registration still does not follow the policies
> for .com or .net (or any other gTLD where IANA has approved IDN
> operations). How Verisign plans to deal with the testbed
> registrations, and in what time frame, I don't know.
> 

VeriSign follows the published RFCs and supports subsequent IDN guidelines.
All non-compliant registrations have been removed from the base of IDN
registrations.

If you have specific questions about the VeriSign deployment, feel free to
contact me directly.

> > And, if what you claim is common knowledge in your industry, then why is
> > Versign, and it's accredited registrars, still receiving money for
> > registrations and renewals for domain names that they know can never be
> > used? This doesn't sound right, does it?
> 
> The registration is still available, and the name is still being
> resolved. However, in .com and .net, the entire thing also is still
> a testbed.
> 
> Why Verisign charges for testbed participation, I don't know. Probably
> because users are willing to pay.
> 
> Regards,
> Martin

Regards,

Pat Kane
VeriSign Naming and Directory Services
703.948.3349